cpw.mods.fml.common

## Interface IFMLSidedHandler

- All Known Implementing Classes:
    FMLClientHandler, FMLServerHandler

      public interface IFMLSidedHandler

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addModAsResource(ModContainer container)`
    `void` | `beginServerLoading(MinecraftServer server)`
    `void` | `finishServerLoading()`
    `void` | `fireNetRegistrationEvent(EventBus bus, NetworkManager manager, java.util.Set<java.lang.String> channelSet, java.lang.String channel, Side side)`
    `java.util.List<java.lang.String>` | `getAdditionalBrandingInformation()`
    `INetHandler` | `getClientPlayHandler()`
    `NetworkManager` | `getClientToServerNetworkManager()`
    `java.lang.String` | `getCurrentLanguage()`
    `java.io.File` | `getSavesDirectory()`
    `MinecraftServer` | `getServer()`
    `Side` | `getSide()`
    `void` | `haltGame(java.lang.String message, java.lang.Throwable exception)`
    `void` | `queryUser(StartupQuery query)`
    `void` | `serverStopped()`
    `boolean` | `shouldAllowPlayerLogins()`
    `boolean` | `shouldServerShouldBeKilledQuietly()`
    `void` | `showGuiScreen(java.lang.Object clientGuiElement)`
    `void` | `waitForPlayClient()`

- - ### Method Detail

    - #### getAdditionalBrandingInformation

          java.util.List<java.lang.String> getAdditionalBrandingInformation()

    - #### getSide

          Side getSide()

    - #### haltGame

          void haltGame(java.lang.String message,
                      java.lang.Throwable exception)

    - #### showGuiScreen

          void showGuiScreen(java.lang.Object clientGuiElement)

    - #### queryUser

          void queryUser(StartupQuery query)
                         throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

    - #### beginServerLoading

          void beginServerLoading(MinecraftServer server)

    - #### finishServerLoading

          void finishServerLoading()

    - #### getSavesDirectory

          java.io.File getSavesDirectory()

    - #### getServer

          MinecraftServer getServer()

    - #### shouldServerShouldBeKilledQuietly

          boolean shouldServerShouldBeKilledQuietly()

    - #### addModAsResource

          void addModAsResource(ModContainer container)

    - #### getCurrentLanguage

          java.lang.String getCurrentLanguage()

    - #### serverStopped

          void serverStopped()

    - #### getClientToServerNetworkManager

          NetworkManager getClientToServerNetworkManager()

    - #### getClientPlayHandler

          INetHandler getClientPlayHandler()

    - #### waitForPlayClient

          void waitForPlayClient()

    - #### fireNetRegistrationEvent

          void fireNetRegistrationEvent(EventBus bus,
                                      NetworkManager manager,
                                      java.util.Set<java.lang.String> channelSet,
                                      java.lang.String channel,
                                      Side side)

    - #### shouldAllowPlayerLogins

          boolean shouldAllowPlayerLogins()